._mixin_p(@spacing) {
    padding: @spacing;
}

._mixin_ph(@spacing) {
    padding-left: @spacing;
    padding-right: @spacing;

}

._mixin_pv(@spacing) {
    padding-top: @spacing;
    padding-bottom: @spacing;
}

//PADDING

.p_xxs {
    ._mixin_p(var(--spacing_xxs))
}

.p_xs {
    ._mixin_p(var(--spacing_xs))
}

.p_s {
    ._mixin_p(var(--spacing_s))
}

.p_m {
    ._mixin_p(var(--spacing_m))
}

.p_l {
    ._mixin_p(var(--spacing_l))
}

.p_xl {
    ._mixin_p(var(--spacing_xl))
}

.p_xxl {
    ._mixin_p(var(--spacing_xxl))
}

/*PADDING HORISONTAL*/

.ph_xxs {
    ._mixin_ph(var(--spacing_xxs))
}

.ph_xs {
    ._mixin_ph(var(--spacing_xs))
}

.ph_s {
    ._mixin_ph(var(--spacing_s))
}

.ph_m {
    ._mixin_ph(var(--spacing_m))
}

.ph_l {
    ._mixin_ph(var(--spacing_l))
}

.ph_xl {
    ._mixin_ph(var(--spacing_xl))
}

.ph_xxl {
    ._mixin_ph(var(--spacing_xxl))
}

/*PADDING VERTICAL*/

.pv_xxs {
    ._mixin_pv(var(--spacing_xxs))
}

.pv_xs {
    ._mixin_pv(var(--spacing_xs))
}

.pv_s {
    ._mixin_pv(var(--spacing_s))
}

.pv_m {
    ._mixin_pv(var(--spacing_m))
}

.pv_l {
    ._mixin_pv(var(--spacing_l))
}

.pv_xl {
    ._mixin_pv(var(--spacing_xl))
}

.pv_xxl {
    ._mixin_pv(var(--spacing_xxl))
}


.p_content {
    ._mixin_p(var(--spacing_content))
}

.ph_content {
    ._mixin_ph(var(--spacing_content_x))
}

.pv_content {
    ._mixin_pv(var(--spacing_content_y))
}
